package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

public class StaffClerkInfoDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String staffClerkRelationId;

    private String staffId;

    private String wxEnterpriseId;

    private String wxUserId;

    private String enterpriseId;

    private String brandName;

    private String enterpriseName;

    private String storeId;

    private String storeName;

    private String clerkId;

    private String clerkName;

    private String clerkCode;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;

    private String clerkPhoneNumber;
    /**
     * 是否主门店
     */
    private Integer mainStoreFlag;

    private Integer manageFlag;

    private Integer manageStoreCount;

    public Integer getMainStoreFlag() {
        return mainStoreFlag;
    }

    public void setMainStoreFlag(Integer mainStoreFlag) {
        this.mainStoreFlag = mainStoreFlag;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkPhoneNumber() {
        return clerkPhoneNumber;
    }

    public void setClerkPhoneNumber(String clerkPhoneNumber) {
        this.clerkPhoneNumber = clerkPhoneNumber;
    }

    public String getStaffClerkRelationId() {
        return staffClerkRelationId;
    }

    public void setStaffClerkRelationId(String staffClerkRelationId) {
        this.staffClerkRelationId = staffClerkRelationId == null ? null : staffClerkRelationId.trim();
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId == null ? null : staffId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId == null ? null : wxUserId.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getBrandName() {
        return brandName;
    }

    public void setBrandName(String brandName) {
        this.brandName = brandName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId == null ? null : storeId.trim();
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId == null ? null : clerkId.trim();
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode == null ? null : clerkCode.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getManageFlag() {
        return manageFlag;
    }

    public void setManageFlag(Integer manageFlag) {
        this.manageFlag = manageFlag;
    }

    public Integer getManageStoreCount() {
        return manageStoreCount;
    }

    public void setManageStoreCount(Integer manageStoreCount) {
        this.manageStoreCount = manageStoreCount;
    }
}
